Skip to main content
`Ctrl`+`K`

# DMMoabGetAllVertices

Get the entities having DOFs on this `DMMOAB`

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetAllVertices(DM dm, moab::Range *local)

Collective

## Input Parameter

- dm - The `DMMOAB` object being set

## Output Parameter

- local - The local vertex entities in this `DMMOAB` = (owned+ghosted)

## See Also

`DMMOAB`, `DMMoabGetLocalVertices()`

## Level

beginner

## Location

src/dm/impls/moab/dmmoab.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages